<?php

namespace App\Http\Requests;

class ReportUserChargeRecordRequest extends Request
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'order_no' => 'required|string|exists:orders,trade_no',
            'uid' => 'required|integer|exists:users,id',
            'status' => 'required|integer',
            'type' => 'string',
            'content' => 'string',
            'config_percent' => 'numeric',
            'report_percent' => 'numeric',
        ];
    }
}
