<?php

namespace App\Http\Controllers\Common;

use App\Http\Controllers\Controller;
use App\Http\Requests\ReportUserChargeRecordRequest;
use App\Http\Requests\ReportUserRecordRequest;
use App\Modules\Order\Services\OrderService;

class ChargeFeedbackController extends Controller
{
    public function userBind(ReportUserRecordRequest $request)
    {
        (new OrderService)->saveReportUserRecord($request->all());
        return response()->success();
    }

    public function notify(ReportUserChargeRecordRequest $request)
    {
        (new OrderService)->saveReportUserChargeRecord($request->all());
        return response()->success();
    }
}
